Experience Manager - Como validar a versão do pacote OSGi após as atualizações

Descrição


Problema


Você precisa verificar a versão do pacote OSGi após uma atualização para confirmar a instalação bem-sucedida.

Resolução

Etapas para resolver

  1. Copie/cole o JSON de *http://aemhost1:port/*system/console/bundles.json para JSON real campo de texto.
  2. Selecionar Versão do produto versão secundária nos dois menus suspensos para preencher automaticamente o JSON esperado campo ou copie/cole o JSON de outra instância do AEM para JSON esperado (também de *http://aemhost2:port/*system/console/bundles.json).
  3. Clique em Comparar para visualizar o diferencial.
  4. Pacotes semelhantes são exibidos em branco, versões de pacotes diferentes são exibidas em amarelo, pacotes recém-adicionados são exibidos em aqua e pacotes excluídos em vermelho claro.
  5. Filtre os dados usando o Filtro caixa.

Versão do produto:          Selecione a versão principalAEM6.5AEM6.4AEM6.3AEM6.2 Selecione a versão secundária
JSON de /system/console/bundles.json
JSON real 
JSON esperado
 
Resultados da comparação
 Filtro:          Todos Adicionados Alterados Adicionados Adicionados Semelhantes Excluídos     

Nome simbólico Nome do pacote Número de versão esperado Número real da versão

* Graças a Sham Sundar Hassan Chikkegowda para fornecer o original código fonte para esta ferramenta.  Seu site pessoal pode ser visitado here.

Nesta página